ExtendedBlock (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocol, class: ExtendedBlock

Package org.apache.hadoop.hdfs.protocol

# Class ExtendedBlock

java.lang.Object
org.apache.hadoop.hdfs.protocol.ExtendedBlock

@Private @Evolving public class ExtendedBlock extends Object
Identifies a Block uniquely across the block pools

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExtendedBlock()`
  `ExtendedBlock(String poolId, long blockId)`
  `ExtendedBlock(String poolId, long blkid, long len, long genstamp)`
  `ExtendedBlock(String poolId, Block b)`
  `ExtendedBlock(ExtendedBlock b)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `long`
  `getBlockId()`
  `String`
  `getBlockName()`
  Returns the block file name for the block
  `String`
  `getBlockPoolId()`
  `long`
  `getGenerationStamp()`
  `Block`
  `getLocalBlock()`
  `static Block`
  `getLocalBlock(ExtendedBlock b)`
  `long`
  `getNumBytes()`
  `int`
  `hashCode()`
  `void`
  `set(String poolId, Block blk)`
  `void`
  `setBlockId(long bid)`
  `void`
  `setGenerationStamp(long genStamp)`
  `void`
  `setNumBytes(long len)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ExtendedBlock

    public ExtendedBlock()

  - ### ExtendedBlock

    public ExtendedBlock(ExtendedBlock b)

  - ### ExtendedBlock

    public ExtendedBlock(String poolId, long blockId)

  - ### ExtendedBlock

    public ExtendedBlock(String poolId, Block b)

  - ### ExtendedBlock

    public ExtendedBlock(String poolId, long blkid, long len, long genstamp)

- ## Method Details

  - ### getBlockPoolId

    public String getBlockPoolId()

  - ### getBlockName

    public String getBlockName()
    Returns the block file name for the block

  - ### getNumBytes

    public long getNumBytes()

  - ### getBlockId

    public long getBlockId()

  - ### getGenerationStamp

    public long getGenerationStamp()

  - ### setBlockId

    public void setBlockId(long bid)

  - ### setGenerationStamp

    public void setGenerationStamp(long genStamp)

  - ### setNumBytes

    public void setNumBytes(long len)

  - ### set

    public void set(String poolId, Block blk)

  - ### getLocalBlock

    public static Block getLocalBlock(ExtendedBlock b)

  - ### getLocalBlock

    public Block getLocalBlock()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`